Skip to main content
POST
/
api
/
generate
/
submit
Submit Kling 2.5 Turbo Pro Task
curl --request POST \
  --url https://api.poyo.ai/api/generate/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "kling-2.5-turbo-pro",
  "callback_url": "https://your-domain.com/callback",
  "input": {
    "prompt": "A man in a trench coat holding a black umbrella walks briskly through the streets of Tokyo on a rainy night, splashing through puddles. A handheld follow-cam shot from his side and slightly behind. The focus is locked on the man, while background neon signs blur into beautiful bokeh. Cyberpunk aesthetic with a film noir quality; the mood is mysterious and lonely. The pavement is slick and wet, reflecting the vibrant neon signs. Individual raindrops are visible, and a light fog hangs in the air.",
    "duration": 5,
    "aspect_ratio": "16:9",
    "start_image_url": "https://cdn.doculator.org/kling-2.5-turbo-pro/start-image.jpeg"
  }
}
'
{
  "code": 200,
  "data": {
    "task_id": "task-unified-1757165031-uyujaw3d",
    "status": "not_started",
    "created_time": "2025-11-12T10:30:00"
  }
}
  1. After submission, a task_id will be returned. If you provided a callback_url, when the task status becomes finished or failed, a POST request will be sent to the callback_url.
  2. Regardless of whether callback_url is provided, you can retrieve the result through the unified Query Task Status endpoint.

Kling 2.5 Turbo Pro

kling-2.5-turbo-pro supports prompt-only generation and optional start/end frame guidance in the same request format.

Available Model

  • kling-2.5-turbo-pro - Text-to-video with optional frame guidance

Required Parameters

  • prompt: Text prompt for generation

Optional Parameters

  • duration: 5 or 10. Default is 5
  • start_image_url: Optional first frame image
  • end_image_url: Optional last frame image
  • aspect_ratio: Optional string value
  • negative_prompt: Optional negative prompt

Notes

  • You can submit prompt-only requests
  • You can also provide start_image_url, end_image_url, or both

Authorizations

Authorization
string
header
required

All API endpoints require Bearer Token authentication

Get your API Key:

Visit the API Key Management Page to get your API Key

Add it to the request header:

Authorization: Bearer YOUR_API_KEY

Body

application/json
model
enum<string>
required

Kling 2.5 Turbo Pro model identifier

Available options:
kling-2.5-turbo-pro
input
object
required
callback_url
string<uri>

Webhook callback URL for result notifications

Example:

"https://your-domain.com/callback"

Response

200 - application/json

Task submitted successfully

code
integer
required
Example:

200

data
object
required